#include <fstream>
#include <cstdio>
#include <vector>
#include <algorithm>

#define pb push_back

using namespace std;

int main()
{
	ifstream cin("smith.in");
	ofstream cout("smith.out");
	int n;
	cin >> n;
	vector<int> a(n), ans;
	for (int i = 0; i < n; i++)
		cin >> a[i];
	for (int i = 0; i < n; i++)
	{
		double val1 = a[i];
		double val2 = 1;
		for (int j = 0; j < n; j++)
		{
			if (j == i) continue;
			val2 *= a[i];
		}
		if (val1 > val2)
		{
			ans.pb(i + 1);
			break;
		}
		if (val1 < val2)
		{
			for (int j = 0; j < n; j++)
				if (i != j) ans.pb(j + 1);
			break;
		}
	}
	if (ans.size() == 0) cout << "Impossible\n";
	else cout << ans.size() << "\n";
	for (int i = 0; i < ans.size(); i++)
		cout << ans[i] << " ";	
}

